Bug 1264698 - Forms using ListCtrl_edit don't show properly text field
Forms using ListCtrl_edit don't show properly text field
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wxPython (Show other bugs)
22
All All
unspecified Severity medium
: ---
: ---
Assigned To: Scott Talbert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-20 16:34 EDT by markusN
Modified: 2015-10-31 22:48 EDT (History)
3 users (show)

See Also:
Fixed In Version: wxPython-3.0.2.0-7.fc22 wxPython-3.0.2.0-7.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-18 19:48:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screencast of text editing bug (964.57 KB, application/octet-stream)
2015-09-20 16:43 EDT, markusN
no flags Details

  None (edit)
Description markusN 2015-09-20 16:34:23 EDT
Description of problem:
When editing wxpython text forms which are based on ListCtrl_edit, the editing is not shown properly. Used to work fine in wxPython-2.

Version-Release number of selected component (if applicable):

wxPython-3.0.2.0-5.fc22.x86_64
wxPython-docs-3.0.2.0-5.fc22.noarch

How reproducible:
Use wxPython demo: edit a text field

Steps to Reproduce:
1. dnf install wxPython-docs

2. python /usr/share/doc/wxPython-docs/demo/ListCtrl_edit.py
Python 2.7.10 (default, Jul  5 2015, 14:15:43) 
[GCC 5.1.1 20150618 (Red Hat 5.1.1-4)]
wx.version: 3.0.2.0 gtk3 (classic)

3. Edit a field. The text remains and the editing part is shown in a only 2-3 pixels high extra row on top of the edited field. Not readable!

See attached screencast (but by just typing into a text field of the demo you see the issue)
Comment 1 markusN 2015-09-20 16:43 EDT
Created attachment 1075353 [details]
screencast of text editing bug
Comment 2 Scott Talbert 2015-09-20 21:08:14 EDT
Confirmed, will investigate.
Comment 3 Scott Talbert 2015-09-22 23:07:31 EDT
Looks to be a wxWidgets bug in GTK3 implementation.  I filed a bug upstream and provided a reproducer: http://trac.wxwidgets.org/ticket/17160
Comment 4 markusN 2015-09-23 01:41:34 EDT
Thanks, Scott.
Comment 5 Scott Talbert 2015-09-29 23:28:34 EDT
Implemented a workaround in wxPython.  Updates coming.
Comment 6 Fedora Update System 2015-09-30 09:08:04 EDT
wxPython-3.0.2.0-7.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-74ddcbb2eb
Comment 7 Fedora Update System 2015-09-30 11:18:37 EDT
wxPython-3.0.2.0-7.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1b1f67cf23
Comment 8 markusN 2015-09-30 16:05:50 EDT
(In reply to Scott Talbert from comment #5)
> Implemented a workaround in wxPython. 

Just installed wxPython-3.0.2.0-7.fc22 from koji, problem solved.

I left positive karma in bodhi.
Excellent, thanks.
Comment 9 Fedora Update System 2015-10-01 19:53:40 EDT
wxPython-3.0.2.0-7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update wxPython'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-74ddcbb2eb
Comment 10 Fedora Update System 2015-10-01 21:49:31 EDT
wxPython-3.0.2.0-7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update wxPython'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-74ddcbb2eb
Comment 11 Fedora Update System 2015-10-03 21:37:43 EDT
wxPython-3.0.2.0-7.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update wxPython'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1b1f67cf23
Comment 12 Fedora Update System 2015-10-18 19:48:58 EDT
wxPython-3.0.2.0-7.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2015-10-31 22:48:08 EDT
wxPython-3.0.2.0-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.